PKG-UPDATING(8)

NAME
pkg updating - displays UPDATING entries of software packages

SYNOPSIS
pkg updating [-d date] [-f file] [pkg-name ...]
pkg updating

DESCRIPTION
The pkg updating command scans the installed ports and show all UPDATING entries that affect one of the installed ports. Alternativly a list of pkg-names could be passed.

OPTIONS
The following options are supported by pkg updating:

pkg-name ...
    UPDATING entries for the named packages are displayed.

-d date
    Only entries newer than date are shown. Use a YYYYMMDD date format.

-f file
    Defines a alternative location of the UPDATING file.

ENVIRONMENT
The following environment variables affect the execution of pkg updating:

PORTSDIR
    Location of the ports tree.

FILES
See pkg.conf(5).

EXAMPLES
Shows all entries of all installed ports:
    % pkg updating

Shows all entries of all installed ports since 2012-01-01:
    % pkg updating -d 20120101

Shows all entries for all apache and mysql ports:
    % pkg updating apache mysql

Shows all apache entries since 2012-01-01:
    % pkg updating -d 20120101 apache

Defines that the UPDATING file is in /tmp and shows all entries of all installed ports:
    % pkg updating -f /tmp/UPDATING

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)